# DataExchange
TKIGES
IGESDimen

# IGESDimen_NewDimensionedGeometry Class Reference

defines New Dimensioned Geometry, Type <402>, Form <21>
in package IGESDimen
Links a dimension entity with the geometry entities it
is dimensioning, so that later, in the receiving
database, the dimension can be automatically recalculated
and redrawn should the geometry be changed.

`#include <IGESDimen_NewDimensionedGeometry.hxx>`

Inheritance diagram for IGESDimen_NewDimensionedGeometry:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_NewDimensionedGeometry ()
Standard_EXPORT void | Init (const Standard_Integer nbDimens, const Handle(IGESData_IGESEntity)&aDimen, const Standard_Integer anOrientation, const Standard_Real anAngle, const Handle(IGESData_HArray1OfIGESEntity)&allEntities, const Handle(TColStd_HArray1OfInteger)&allLocations, const Handle(TColgp_HArray1OfXYZ)&allPoints)

This method is used to set the fields of the class
NewDimensionedGeometry
- nbDimen : Number of Dimensions, default = 1
- aDimen : Dimension Entity
- anOrientation : Dimension Orientation Flag
- anAngle : Angle Value
- allEntities : Geometric Entities
- allLocations : Dimension Location Flags
- allPoints : Points on the Geometry Entities
exception raised if lengths of entities, locations, points
are not the same
.

Standard_EXPORT Standard_Integer | NbDimensions () const
| returns the number of dimensions
Standard_EXPORT Standard_Integer | NbGeometries () const
| returns the number of associated geometry entities
Standard_EXPORT Handle_IGESData_IGESEntity | DimensionEntity () const
| returns the dimension entity
Standard_EXPORT Standard_Integer | DimensionOrientationFlag () const
| returns the dimension orientation flag
Standard_EXPORT Standard_Real | AngleValue () const
| returns the angle value
Standard_EXPORT Handle_IGESData_IGESEntity | GeometryEntity (const Standard_Integer Index) const
| returns the Index'th geometry entity raises exception if Index <= 0 or Index > NbGeometries()
Standard_EXPORT Standard_Integer | DimensionLocationFlag (const Standard_Integer Index) const
| returns the Index'th geometry entity's dimension location flag raises exception if Index <= 0 or Index > NbGeometries()
Standard_EXPORT gp_Pnt | Point (const Standard_Integer Index) const
| coordinate of point on Index'th geometry entity raises exception if Index <= 0 or Index > NbGeometries()
Standard_EXPORT gp_Pnt | TransformedPoint (const Standard_Integer Index) const
| coordinate of point on Index'th geometry entity after Transformation raises exception if Index <= 0 or Index > NbGeometries()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbDimensions
Handle_IGESData_IGESEntity | theDimensionEntity
Standard_Integer | theDimensionOrientationFlag
Standard_Real | theAngleValue
Handle_IGESData_HArray1OfIGESEntity | theGeometryEntities
Handle_TColStd_HArray1OfInteger | theDimensionLocationFlags
Handle_TColgp_HArray1OfXYZ | thePoints

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_NewDimensionedGeometry::IGESDimen_NewDimensionedGeometry | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESDimen_NewDimensionedGeometry::AngleValue | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_NewDimensionedGeometry::DimensionEntity | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_NewDimensionedGeometry::DimensionLocationFlag | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESDimen_NewDimensionedGeometry::DimensionOrientationFlag | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_NewDimensionedGeometry::GeometryEntity | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESDimen_NewDimensionedGeometry::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_NewDimensionedGeometry::Init | ( | const Standard_Integer | nbDimens,
|  | const Handle(IGESData_IGESEntity)& | aDimen,
|  | const Standard_Integer | anOrientation,
|  | const Standard_Real | anAngle,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allEntities,
|  | const Handle(TColStd_HArray1OfInteger)& | allLocations,
|  | const Handle(TColgp_HArray1OfXYZ)& | allPoints
| ) |

Standard_EXPORT Standard_Integer IGESDimen_NewDimensionedGeometry::NbDimensions | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_NewDimensionedGeometry::NbGeometries | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_NewDimensionedGeometry::Point | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT gp_Pnt IGESDimen_NewDimensionedGeometry::TransformedPoint | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Real IGESDimen_NewDimensionedGeometry::theAngleValue `[private]`

Handle_IGESData_IGESEntity IGESDimen_NewDimensionedGeometry::theDimensionEntity `[private]`

Handle_TColStd_HArray1OfInteger IGESDimen_NewDimensionedGeometry::theDimensionLocationFlags `[private]`

Standard_Integer IGESDimen_NewDimensionedGeometry::theDimensionOrientationFlag `[private]`

Handle_IGESData_HArray1OfIGESEntity IGESDimen_NewDimensionedGeometry::theGeometryEntities `[private]`

Standard_Integer IGESDimen_NewDimensionedGeometry::theNbDimensions `[private]`

Handle_TColgp_HArray1OfXYZ IGESDimen_NewDimensionedGeometry::thePoints `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_NewDimensionedGeometry.hxx